Reporting¶
Operational reporting and settlement data.
Get Authorization Log Summary¶
POST
/api/Reporting/GetAuthorizationLogSummary
Request body¶
Schema: SummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
CurrentPageIndex |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
HierarchyFilterMode |
integer (int32) | Optional | — |
HierarchyFilterValue |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ToDate |
string | Optional | — |
ViewLevel |
integer (int32) | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetAuthorizationLogSummary' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"CurrentPageIndex": 1,
"FromDate": "2026-01-31",
"HierarchyFilterMode": 1,
"HierarchyFilterValue": "<hierarchy-filter-value>",
"PageSize": 1,
"ToDate": "2026-01-31",
"ViewLevel": 1
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetAuthorizationLogSummaryResponse |
Example response
{
"ErrorMessages": {},
"Notice": "<notice>",
"Paging": {
"CurrentPageIndex": 1,
"NumberOfRecords": 1,
"PageSize": 1
},
"Provider": "<provider>",
"Result": [
{
"AuthorizationAmount": 10.0,
"AuthorizationCount": 1,
"EntityId": "<entity-id>",
"EntityName": "<entity-name>",
"EntityType": "<entity-type>",
"PlatformId": "<platform-id>"
}
],
"Total": {
"AuthorizationAmount": 10.0,
"AuthorizationCount": 1,
"EntityId": "<entity-id>",
"EntityName": "<entity-name>",
"EntityType": "<entity-type>",
"PlatformId": "<platform-id>"
}
}
Get Batch Detail¶
POST
/api/Reporting/GetBatchDetail
Request body¶
Schema: GetBatchDetailRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
BatchNumber |
string | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
MerchantNumber |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ReportDate |
string | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetBatchDetail' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"BatchNumber": "<batch-number>",
"CurrentPageIndex": 1,
"MerchantNumber": "<merchant-number>",
"PageSize": 1,
"ReportDate": "2026-01-31"
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetBatchDetailResponse |
Example response
{
"ErrorMessages": {},
"Notice": "<notice>",
"Paging": {
"CurrentPageIndex": 1,
"NumberOfRecords": 1,
"PageSize": 1
},
"Provider": "<provider>",
"Result": [
{
"AuthorizationNumber": "<authorization-number>",
"CardDescription": "<card-description>",
"CardNumber": "<card-number>",
"CardType": "<card-type>",
"DebitRoutingMethodID": 1,
"EntryModeDescription": "<entry-mode-description>",
"FeeAmount": 10.0,
"InvoiceNumber": "<invoice-number>",
"Keyed": "<keyed>",
"NetAmount": 10.0,
"RegulatedID": 1,
"RegulatedIDDescription": "<regulated-iddescription>",
"ReportDate": "2026-01-31",
"ReportingCategory": "<reporting-category>",
"SourceId": "<source-id>",
"TransactionAmount": 10.0
}
],
"Total": {
"AuthorizationNumber": "<authorization-number>",
"CardDescription": "<card-description>",
"CardNumber": "<card-number>",
"CardType": "<card-type>",
"DebitRoutingMethodID": 1,
"EntryModeDescription": "<entry-mode-description>",
"FeeAmount": 10.0,
"InvoiceNumber": "<invoice-number>",
"Keyed": "<keyed>",
"NetAmount": 10.0,
"RegulatedID": 1,
"RegulatedIDDescription": "<regulated-iddescription>",
"ReportDate": "2026-01-31",
"ReportingCategory": "<reporting-category>",
"SourceId": "<source-id>",
"TransactionAmount": 10.0
}
}
Get Batch Summary By Entity¶
POST
/api/Reporting/GetBatchSummaryByEntity
Request body¶
Schema: SummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
CurrentPageIndex |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
HierarchyFilterMode |
integer (int32) | Optional | — |
HierarchyFilterValue |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ToDate |
string | Optional | — |
ViewLevel |
integer (int32) | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetBatchSummaryByEntity' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"CurrentPageIndex": 1,
"FromDate": "2026-01-31",
"HierarchyFilterMode": 1,
"HierarchyFilterValue": "<hierarchy-filter-value>",
"PageSize": 1,
"ToDate": "2026-01-31",
"ViewLevel": 1
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetBatchSummaryByEntityResponse |
Example response
{
"ErrorMessages": {},
"Notice": "<notice>",
"Paging": {
"CurrentPageIndex": 1,
"NumberOfRecords": 1,
"PageSize": 1
},
"Provider": "<provider>",
"Result": [
{
"AvgTrans": 1.0,
"EntityId": "<entity-id>",
"EntityName": "<entity-name>",
"EntityType": "<entity-type>",
"KeyedCount": 1,
"KeyedPercent": 1.0,
"NetAmount": 10.0,
"PlatformId": "<platform-id>",
"PrepaidDiscount": 1.0,
"ReturnAmount": 10.0,
"SaleAmount": 10.0,
"TransactionCount": 1
}
],
"Total": {
"AvgTrans": 1.0,
"EntityId": "<entity-id>",
"EntityName": "<entity-name>",
"EntityType": "<entity-type>",
"KeyedCount": 1,
"KeyedPercent": 1.0,
"NetAmount": 10.0,
"PlatformId": "<platform-id>",
"PrepaidDiscount": 1.0,
"ReturnAmount": 10.0,
"SaleAmount": 10.0,
"TransactionCount": 1
}
}
Get Batch Summary By Merchant¶
POST
/api/Reporting/GetBatchSummaryByMerchant
Request body¶
Schema: GetByMerchantRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
CurrentPageIndex |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
MerchantNumber |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ToDate |
string | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetBatchSummaryByMerchant' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"CurrentPageIndex": 1,
"FromDate": "2026-01-31",
"MerchantNumber": "<merchant-number>",
"PageSize": 1,
"ToDate": "2026-01-31"
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetBatchSummaryByMerchantResponse |
Example response
{
"ErrorMessages": {},
"Notice": "<notice>",
"Paging": {
"CurrentPageIndex": 1,
"NumberOfRecords": 1,
"PageSize": 1
},
"Provider": "<provider>",
"Result": [
{
"AdjustmentAmount": 10.0,
"AvgTrans": 1.0,
"BatchNumber": "<batch-number>",
"Currency": "USD",
"DisputeAmount": 10.0,
"FeeAmount": 10.0,
"FileSource": "<file-source>",
"KeyedCount": 1,
"KeyedPercent": 1.0,
"NetAmount": 10.0,
"PayoutStatus": "<payout-status>",
"PrepaidDiscount": 1.0,
"Reconciliation": "<reconciliation>",
"ReconciliationMismatch": false,
"ReconciliationNote": "<reconciliation-note>",
"ReportDate": "2026-01-31"
}
],
"Total": {
"AdjustmentAmount": 10.0,
"AvgTrans": 1.0,
"BatchNumber": "<batch-number>",
"Currency": "USD",
"DisputeAmount": 10.0,
"FeeAmount": 10.0,
"FileSource": "<file-source>",
"KeyedCount": 1,
"KeyedPercent": 1.0,
"NetAmount": 10.0,
"PayoutStatus": "<payout-status>",
"PrepaidDiscount": 1.0,
"Reconciliation": "<reconciliation>",
"ReconciliationMismatch": false,
"ReconciliationNote": "<reconciliation-note>",
"ReportDate": "2026-01-31"
}
}
Get Card Summary¶
POST
/api/Reporting/GetCardSummary
Request body¶
Schema: GetCardSummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
BatchNumber |
string | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
HierarchyFilterMode |
integer (int32) | Optional | — |
HierarchyFilterValue |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ToDate |
string | Optional | — |
ViewLevel |
integer (int32) | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetCardSummary' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"BatchNumber": "<batch-number>",
"CurrentPageIndex": 1,
"FromDate": "2026-01-31",
"HierarchyFilterMode": 1,
"HierarchyFilterValue": "<hierarchy-filter-value>",
"PageSize": 1,
"ToDate": "2026-01-31",
"ViewLevel": 1
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetCardSummaryResponse |
Example response
{
"ErrorMessages": {},
"Notice": "<notice>",
"Paging": {
"CurrentPageIndex": 1,
"NumberOfRecords": 1,
"PageSize": 1
},
"Provider": "<provider>",
"Result": [
{
"CardDescription": "<card-description>",
"CardType": "<card-type>",
"NetAmount": 10.0,
"ReturnAmount": 10.0,
"ReturnCount": 1,
"SaleAmount": 10.0,
"SaleCount": 1
}
],
"Total": {
"CardDescription": "<card-description>",
"CardType": "<card-type>",
"NetAmount": 10.0,
"ReturnAmount": 10.0,
"ReturnCount": 1,
"SaleAmount": 10.0,
"SaleCount": 1
}
}
Get Chargebacks Detail¶
POST
/api/Reporting/GetChargebacksDetail
Request body¶
Schema: GetByMerchantRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
CurrentPageIndex |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
MerchantNumber |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ToDate |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetChargebacksDetailResponse |
Example response
{
"ErrorMessages": {},
"Notice": "<notice>",
"Paging": {
"CurrentPageIndex": 1,
"NumberOfRecords": 1,
"PageSize": 1
},
"Provider": "<provider>",
"Result": [
{
"AuthorizationCode": "<authorization-code>",
"CBType": "<cbtype>",
"CBTypeDescription": "<cbtype-description>",
"CardNumber": "<card-number>",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CaseNumber": "<case-number>",
"Currency": "USD",
"Disposition": "<disposition>",
"DueDate": "2026-01-31",
"PreDispute": "<pre-dispute>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReasonText": "<reason-text>",
"RecordID": 1,
"ReferenceNumber": "<reference-number>"
}
],
"Total": {
"AuthorizationCode": "<authorization-code>",
"CBType": "<cbtype>",
"CBTypeDescription": "<cbtype-description>",
"CardNumber": "<card-number>",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CaseNumber": "<case-number>",
"Currency": "USD",
"Disposition": "<disposition>",
"DueDate": "2026-01-31",
"PreDispute": "<pre-dispute>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReasonText": "<reason-text>",
"RecordID": 1,
"ReferenceNumber": "<reference-number>"
}
}
Get Chargebacks Summary¶
POST
/api/Reporting/GetChargebacksSummary
Request body¶
Schema: GetChargebacksSummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
CurrentPageIndex |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
MerchantNumber |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ToDate |
string | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetChargebacksSummary' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"CurrentPageIndex": 1,
"FromDate": "2026-01-31",
"MerchantNumber": "<merchant-number>",
"PageSize": 1,
"ToDate": "2026-01-31"
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetChargebacksSummaryResponse |
Example response
{
"ErrorMessages": {},
"Notice": "<notice>",
"Paging": {
"CurrentPageIndex": 1,
"NumberOfRecords": 1,
"PageSize": 1
},
"Provider": "<provider>",
"Result": [
{
"AuthorizationCode": "<authorization-code>",
"CBType": "<cbtype>",
"CBTypeDescription": "<cbtype-description>",
"CardNumber": "<card-number>",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CaseNumber": "<case-number>",
"Currency": "USD",
"Disposition": "<disposition>",
"DueDate": "2026-01-31",
"PreDispute": "<pre-dispute>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReasonText": "<reason-text>",
"RecordID": 1,
"ReferenceNumber": "<reference-number>"
}
],
"Total": {
"AuthorizationCode": "<authorization-code>",
"CBType": "<cbtype>",
"CBTypeDescription": "<cbtype-description>",
"CardNumber": "<card-number>",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CaseNumber": "<case-number>",
"Currency": "USD",
"Disposition": "<disposition>",
"DueDate": "2026-01-31",
"PreDispute": "<pre-dispute>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReasonText": "<reason-text>",
"RecordID": 1,
"ReferenceNumber": "<reference-number>"
}
}
Get Deposits Summary¶
POST
/api/Reporting/GetDepositsSummary
Request body¶
Schema: GetDepositsSummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
CurrentPageIndex |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
MerchantNumber |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ToDate |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetDepositsSummaryResponse |
Example response
{
"ErrorMessages": {},
"Notice": "<notice>",
"Paging": {
"CurrentPageIndex": 1,
"NumberOfRecords": 1,
"PageSize": 1
},
"Provider": "<provider>",
"Result": [
{
"Automatic": false,
"BankName": "<bank-name>",
"BankTraceId": "<bank-trace-id>",
"Currency": "USD",
"DDANumber": "<ddanumber>",
"DepositAmount": 10.0,
"ExpectedArrivalDate": "2026-01-31",
"FailureCode": "<failure-code>",
"Method": "<method>",
"PayoutId": "<payout-id>",
"Reconciliation": "<reconciliation>",
"ReportDate": "2026-01-31",
"RoutingNumber": "<routing-number>",
"Status": "<status>",
"TraceNumber": "<trace-number>",
"TransactionCode": "<transaction-code>"
}
],
"Total": {
"Automatic": false,
"BankName": "<bank-name>",
"BankTraceId": "<bank-trace-id>",
"Currency": "USD",
"DDANumber": "<ddanumber>",
"DepositAmount": 10.0,
"ExpectedArrivalDate": "2026-01-31",
"FailureCode": "<failure-code>",
"Method": "<method>",
"PayoutId": "<payout-id>",
"Reconciliation": "<reconciliation>",
"ReportDate": "2026-01-31",
"RoutingNumber": "<routing-number>",
"Status": "<status>",
"TraceNumber": "<trace-number>",
"TransactionCode": "<transaction-code>"
}
}
Get Merchant Statement¶
POST
/api/Reporting/GetMerchantStatement
Request body¶
Schema: GetMerchantStatementByZoneRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
MerchantNumber |
string | Optional | — |
StatementId |
string | Optional | — |
Zone |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetMerchantStatementResponse |
Example response
Get Merchant Statement List¶
POST
/api/Reporting/GetMerchantStatementList
Request body¶
Schema: FilterByMerchantRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
MerchantNumber |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetMerchantStatementListWithZones |
Example response
Which provider serves a merchant's reports and which reports it has, so the portal can¶
label payouts and settlements correctly and hide reports Stripe does not offer. { #post-api-reporting-get-reporting-provider }
POST
/api/Reporting/GetReportingProvider
Request body¶
Schema: GetByMerchantRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
CurrentPageIndex |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
MerchantNumber |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ToDate |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetReportingProviderResponse |
Example response
Get Retrievals Detail¶
POST
/api/Reporting/GetRetrievalsDetail
Request body¶
Schema: GetByMerchantRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
CurrentPageIndex |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
MerchantNumber |
string | Optional | — |
PageSize |
integer (int32) | Optional | — |
ToDate |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetRetrievalsDetailResponse |
Example response
{
"ErrorMessages": {},
"Notice": "<notice>",
"Paging": {
"CurrentPageIndex": 1,
"NumberOfRecords": 1,
"PageSize": 1
},
"Provider": "<provider>",
"Result": [
{
"CardNumber": "<card-number>",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"DateReceived": "2026-01-31",
"DueDate": "2026-01-31",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReferenceNumber": "<reference-number>",
"ReportDate": "2026-01-31",
"RequestType": "<request-type>",
"TransactionAmount": 10.0,
"TransactionDate": "2026-01-31"
}
],
"Total": {
"CardNumber": "<card-number>",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"DateReceived": "2026-01-31",
"DueDate": "2026-01-31",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReferenceNumber": "<reference-number>",
"ReportDate": "2026-01-31",
"RequestType": "<request-type>",
"TransactionAmount": 10.0,
"TransactionDate": "2026-01-31"
}
}